Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save
Class TestElementSaver

    java.lang.Object
      org.apache.jmeter.save.TestElementSaver

All Implemented Interfaces:
  TestElementTraverser

public class TestElementSaver
extends Object
implements TestElementTraverser

Helper class for OldSaveService

Constructor Summary
`TestElementSaver(String name)`

Method Summary
`void` | `endProperty(JMeterProperty key)` Notification that a property is ending.
`void` | `endTestElement(TestElement el)` Notification that the test element is now done.
`org.apache.avalon.framework.configuration.Configuration` | `getConfiguration()`
`void` | `setConfigName(org.apache.avalon.framework.configuration.DefaultConfiguration config)`
`void` | `simplePropertyValue(JMeterProperty value)`
`void` | `startCollection(CollectionProperty col)`
`void` | `startMap(MapProperty map)`
`void` | `startProperty(JMeterProperty key)` Notification that a property is starting.
`void` | `startTestElement(TestElement el)` Notification that a new test element is about to be traversed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestElementSaver

    public TestElementSaver(String name)

Method Detail

### getConfiguration

    public org.apache.avalon.framework.configuration.Configuration getConfiguration()

### startTestElement

    public void startTestElement(TestElement el)

  Description copied from interface: `TestElementTraverser`
  Notification that a new test element is about to be traversed.

  Specified by:
    `startTestElement` in interface `TestElementTraverser`
  Parameters:
    `el` -

### setConfigName

    public void setConfigName(org.apache.avalon.framework.configuration.DefaultConfiguration config)

### endTestElement

    public void endTestElement(TestElement el)

  Description copied from interface: `TestElementTraverser`
  Notification that the test element is now done.

  Specified by:
    `endTestElement` in interface `TestElementTraverser`
  Parameters:
    `el` -

### simplePropertyValue

    public void simplePropertyValue(JMeterProperty value)

### startMap

    public void startMap(MapProperty map)

### startCollection

    public void startCollection(CollectionProperty col)

### endProperty

    public void endProperty(JMeterProperty key)

  Description copied from interface: `TestElementTraverser`
  Notification that a property is ending. Again, this could be a test element or a Map property, dependig on the context.

  Specified by:
    `endProperty` in interface `TestElementTraverser`
  Parameters:
    `key` -

### startProperty

    public void startProperty(JMeterProperty key)

  Description copied from interface: `TestElementTraverser`
  Notification that a property is starting. This could be a test element property or a Map property - depends on the context.

  Specified by:
    `startProperty` in interface `TestElementTraverser`
  Parameters:
    `key` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.